#!/bin/sh

#gpu=1
#
#for rulelen in 2 3;
#do
#  for numrule in 1;
#  do
#    echo "******************************"
#    echo "model: TransE"
#    echo "dataset: wn18rr"
#    echo "rule length: $rulelen"
#    echo "num of rules: $numrule"
#    echo "******************************"
#    CUDA_VISIBLE_DEVICES=$gpu python -u codes/runs.py --do_train \
#            --do_valid \
#            --do_test \
#            --data_path ./data/wn18rr \
#            --model TransE \
#            -n 1024 -b 512 -d 500 \
#            -g 6.0 -a 0.5 \
#            -lr 0.00005 --max_steps 20000 \
#            -save ./models/TransE_wn18rr_rulelen${rulelen}_numrule${numrule}_newloss_exp2 \
#            --rule_length ${rulelen} --num_rules ${numrule} \
#            --test_batch_size 8 -init ../KGE/models/TransE_wn18rr_0
#  done
#done

gpu=1

for rulelen in 2;
do
  for numrule in 1;
  do
    echo "******************************"
    echo "model: TransE"
    echo "dataset: wn18rr"
    echo "rule length: $rulelen"
    echo "num of rules: $numrule"
    echo "******************************"
    CUDA_VISIBLE_DEVICES=$gpu python -u codes/runs.py \
            --do_explain \
            --data_path ./data/wn18rr \
            --model TransE \
            -n 1024 -b 512 -d 500 \
            -g 6.0 -a 0.5 \
            -lr 0.00005 --max_steps 20000 \
            -save ./models/TransE_wn18rr_rulelen${rulelen}_numrule${numrule}_newloss \
            --rule_length ${rulelen} --num_rules ${numrule} \
            --test_batch_size 8 -init ../KGE/models/TransE_wn18rr_0
  done
done

